/*
 *
 * A few additional defines to make life a little easier.
 *
 * (c) Copyright 1987 Kim DeVaughn, All Rights Reserved
 *
 */

#ifndef REXX_STORAGE_H
#include <rexx/storage.h>
#endif

#ifndef REXX_H
#define REXX_H


/* more RexxMsg field definitions					   */

#define ACTION(rmp) (rmp->rm_Action)       /* command (action) code        */
#define RESULT1(rmp) (rmp->rm_Result1)     /* primary result (return code) */
#define RESULT2(rmp) (rmp->rm_Result2)     /* secondary result             */
#define COMM_ADDR(rmp) (rmp->rm_CommAddr)  /* host address (port name)     */
#define FILE_EXT(rmp) (rmp->rm_FileExt)    /* file extension               */

#endif

