/*********************************************************************/
/*                                                                   */
/* This is the first macro for the integrated C compiler and editor  */
/*                                                                   */
/* It assumes the use of TxEd Plus, WShell, and Lattice C V4.0x.     */
/*                                                                   */
/* "rexxsupport.library" must be in the libs: directory              */
/*                                                                   */
/* Version 1.3          Written:  6/23/88        By:  John McClennan */
/*                                                                   */
/*********************************************************************/

say 'McC Version 1.3 by John McClennan'

call addlib "rexxsupport.library",0,-30,0

defopts = "-b0"                     /* default options used */
call setclip 'McCopts', defopts

currentdir = pragma('d','')         /* get current directory path */

call setclip 'McCerr', 'McCUnopened'   /* error window not opened yet */
call setclip 'McCmain', 'McCUnopened'  /* main window not opened yet */

address command                     /* switch to command port. Necessary
                                       if not invoked by WShell and does
                                       not cause problems if McC was
                                       invoked from WShell */

e currentdir||'/noname.c' STARTUP mccstmain.txed
                                    /* Start up TxEd.  The current directory
                                       path is passed to TxEd so
                                       that the ARP file requester used by
                                       TxEd will have the path name instead
                                       of being blank */

